- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# NormalComponent Class Reference

Search for all occurrences

## Detailed Description

This class represents the normal vector component.

Definition at line 188 of file MapExtractorAPI.h.

`#include <MapExtractorAPI.h>`

Inheritance diagram for NormalComponent:
[legend]

List of all members.

## Public Member Functions
enum Space | Space (void) const
| Returns the coordinate space normals are calculated in.
void | SetSpace (enum Space eSpace)
| Sets the coorinate space in which normals should be calculated in.
bool | Smooth (void) const
| Returns true, if mudbox uses smooth normals on the source mesh, otherwise raw face normals will be used.
void | SetSmooth (bool bSmooth)
| Sets whether smooth or face normals should be used from the source mesh by Mudbox.
enum Compatibility | Compatibility (void) const
| Returns the current compatibility mode for the normal map. Valid only if the coordinate space is set to tangent.
void | SetCompatibility (enum Compatibility eCompatibility)
| Sets the current compatibility mode for the normal map. Valid only if the coordinate space is set to tangent.

## Member Function Documentation

enum Space Space | ( | void |  | ) | const

Search for all occurrences

Returns the coordinate space normals are calculated in.

void SetSpace | ( | enum Space | eSpace | ) |

Search for all occurrences

Sets the coorinate space in which normals should be calculated in.

bool Smooth | ( | void |  | ) | const

Search for all occurrences

Returns true, if mudbox uses smooth normals on the source mesh, otherwise raw face normals will be used.

void SetSmooth | ( | bool | bSmooth | ) |

Search for all occurrences

Sets whether smooth or face normals should be used from the source mesh by Mudbox.

enum Compatibility Compatibility | ( | void |  | ) | const

Search for all occurrences

Returns the current compatibility mode for the normal map. Valid only if the coordinate space is set to tangent.

void SetCompatibility | ( | enum Compatibility | eCompatibility | ) |

Search for all occurrences

Sets the current compatibility mode for the normal map. Valid only if the coordinate space is set to tangent.

The documentation for this class was generated from the following file:

- MapExtractorAPI/MapExtractorAPI.h

NormalComponent NormalComponent NormalComponent NormalComponent NormalComponent NormalComponent NormalComponent NormalComponent NormalComponent NormalComponent
NormalComponent NormalComponent NormalComponent NormalComponent NormalComponent NormalComponent NormalComponent NormalComponent NormalComponent NormalComponent